# Meta

## Available Treatments

These are the treatments currently provided by the "Meta" treatment group:

<table><thead><tr><th width="245">Treatment</th><th width="223">Arguments</th><th>Description</th></tr></thead><tbody><tr><td>meta.remove_declaration</td><td></td><td>Removes the unicode declaration / first line of the meta.xml file. Used for fixing some broken meta.xmls.<br><br>Adds a valid declaration instead.</td></tr><tr><td>meta.remove_comments</td><td></td><td>Removes comments. Helpful for when comments contain double-hyphens, which breaks xml parsing and violates the xml specification.</td></tr><tr><td>meta.set</td><td>["key", "value"]</td><td>Sets a key in the meta.xml to the given value. Can be used to override things like app name, author name and description.</td></tr><tr><td>meta.init</td><td></td><td>Solely intended for when a meta.xml is not provided by the author.<br><mark style="color:red;">Should not be used in place of "fixing" a broken file using other treatments.</mark><br><br>Creates a new meta.xml file, and pre-populates it with:<br>- "name" as specified in the <a href="/pages/vnaBnL1i6UGWgN8ak2Sp">information</a> section.<br>- "coder" as specified in the <a href="/pages/vnaBnL1i6UGWgN8ak2Sp">information</a> section.<br>- "version" as specified in the <a href="/pages/vnaBnL1i6UGWgN8ak2Sp">information</a> section.<br>- "short_description": "No description provided."</td></tr></tbody></table>

### Example:

```json
{
    ...
    "treatments": [
        {
            "treatment": "meta.set", "arguments": ["name", "Newo Zero"]
        },
    ],
    ...
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.oscwii.org/repository-manager/manifests/treatments/meta.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
